import { ElementRef } from '@angular/core';
import { IconCacheService } from "../icon/icon-cache.service";
export declare class ValidationErrorComponent {
    icons: IconCacheService;
    readonly Icons: any;
    error: string;
    parentForOverlay: ElementRef;
    top: number;
    left: number;
    showClass(): boolean;
    constructor(icons: IconCacheService);
}
